DL_PublicKey_ElGamal< BASE > Struct Template Reference

ElGamal Public Key adapter. More...

`#include <elgamal.h>`

Inheritance diagram for DL_PublicKey_ElGamal< BASE >:

## Public Member Functions

virtual OID | GetAlgorithmID () const
| Retrieves the OID of the algorithm.

## Detailed Description

template<class BASE>
struct DL_PublicKey_ElGamal< BASE >

ElGamal Public Key adapter.

Template Parameters

  BASE | PublicKey derived class

DL_PublicKey_ElGamal provides an override for GetAlgorithmID() to utilize 1.3.14.7.2.1.1. Prior to DL_PublicKey_ElGamal, the ElGamal keys [mistakenly] used the OID from DSA due to DL_GroupParmaters_GFP(). If you need to `Load` an ElGamal key with the wrong OID then see ElGamal on the Crypto++ wiki.

See also
  Issue 876, Issue 567

Since
  Crypto++ 8.3

Definition at line 140 of file elgamal.h.

## Constructor & Destructor Documentation

## ~DL_PublicKey_ElGamal()

template<class BASE >

virtual DL_PublicKey_ElGamal< BASE >::~DL_PublicKey_ElGamal | ( |  | ) |

inline virtual

Definition at line 142 of file elgamal.h.

## Member Function Documentation

## GetAlgorithmID()

template<class BASE >

virtual OID DL_PublicKey_ElGamal< BASE >::GetAlgorithmID | ( |  | ) | const

inline virtual

Retrieves the OID of the algorithm.

Returns
  OID of the algorithm

DL_PrivateKey_ElGamal provides an override for GetAlgorithmID() to utilize 1.3.14.7.2.1.1. Prior to DL_PrivateKey_ElGamal, the ElGamal keys [mistakenly] used the OID from DSA due to DL_GroupParmaters_GFP(). If you need to `Load` an ElGamal key with the wrong OID then see ElGamal on the Crypto++ wiki.

See also
  Issue 876, Issue 567

Definition at line 154 of file elgamal.h.

The documentation for this struct was generated from the following file:

- elgamal.h